import QtQuick 2.0
import "CameraViewerControls"
import QtGraphicalEffects 1.0

Item {
    id: view
    property int mdlId
    property int ctrlId
    property string camName
    property string url
    property string codec
    property real p0: 0.0
    property real p1: 0.5
    property real p2: 1.0
    property color c0: "black"
    property color c1: "black"
    property color c2: "black"
    property color cp0: "#ff86ac"
    property color cp1: "#ff86ac"
    property color cp2: "#ff86ac"
    property var lgr: _lgr
    width: (height - decorHeight*2)*16/9

    function play() {
        if(!_player.running())
            _player.play(url, codec)
    }
    function stop() {
        _player.stop()
    }
    function pause() {
        _player.pause();
    }
    function resume() {
        _player.resume();
    }
    Column {
        anchors.fill: parent

        LinearGradient {
            id: _lgrt
            width: parent.width
            height: decorHeight
            start: Qt.point(0, 0)
            end: Qt.point(width, 0)

            gradient: Gradient {
                GradientStop { position: p0; color: cp0 }
                GradientStop { position: p1; color: cp1 }
                GradientStop { position: p2; color: cp2 }
            }
        }
        Item {
            width: parent.width
            height: parent.height - decorHeight*2

            LinearGradient {
                id: _lgr
                anchors.fill: parent
                start: Qt.point(0, 0)
                end: Qt.point(width, 0)

                gradient: Gradient {
                    GradientStop { position: p0; color: c0 }
                    GradientStop { position: p1; color: c1 }
                    GradientStop { position: p2; color: c2 }
                }
            }
            CameraPlayer {
                id: _player
                anchors.fill: _lgr
            }
        }
        LinearGradient {
            id: _lgrb
            width: parent.width
            height: decorHeight
            start: Qt.point(0, 0)
            end: Qt.point(width, 0)

            gradient: Gradient {
                GradientStop { position: p0; color: cp0 }
                GradientStop { position: p1; color: cp1 }
                GradientStop { position: p2; color: cp2 }
            }
        }
    }
}

