import QtQuick 2.4
import Trogl 1.0

Item {
    id: _Btn
    width: ui.c*2 + ui.i
    height: ui.c*2 + ui.i

    signal pressed(int mx, int my);
    signal released(int mx, int my);
    signal lpressed(int mx, int my);
    signal clicked(int mx, int my);
    signal moved(int mx, int my);

    property real radius: ui.c/8
    property bool active: false
    property alias btnPressed: ma.pressed

    property alias backGround: _backbround
    property alias img: _icon
    property alias text: _text
    property alias border: _border.border

    property color borderNormal: Skin.buttonGrayBorderNormal
    property color borderHighLight: Skin.ch

    property color bgNormal: Skin.cv
    property color bgHighLight: Skin.ch
    onEnabledChanged: {
        opacity = enabled?1.0:0.5
    }


    Rectangle {
        id: _backbround
        anchors.fill: parent
        radius: _Btn.radius
        //gradient: Skin.buttonGrayBackground
        color: _Btn.btnPressed?bgHighLight:bgNormal
        opacity: 0.5
    }
    TroglImage {
        id: _icon
        anchors.fill: parent
        visible: text.text === ""
    }
    Text {
        id: _text
        font.family: "Ubuntu"
        font.bold: true
        style: Text.Normal
        color: Skin.cm
        anchors.centerIn: parent
    }
    Rectangle {
        id: _border
        anchors.fill: _backbround
        radius: _Btn.radius
        color: "#00000000"
        border.color: _Btn.active?borderHighLight:borderNormal
        border.width: ui.c/20
    }
    MouseArea {
        id: ma
        anchors.fill: parent
        onPressed: _Btn.pressed(mouseX, mouseY);
        onReleased:_Btn.released(mouseX, mouseY);
        onPressAndHold: _Btn.lpressed(mouseX, mouseY);
        onClicked: {
            Audio.playTouch();
            _Btn.clicked(mouseX, mouseY);
        }
        onPositionChanged: _Btn.moved(mouseX, mouseY)
    }

}
