import QtQuick 2.4
import Trogl 1.0

EngineryLegend{
    width: uiSettings.tmw
    height: uiSettings.tmh
    anchors.left: parent.left
    anchors.leftMargin: ui.c*2
    anchors.verticalCenter: parent.verticalCenter

    Rectangle
    {
        anchors.fill: parent
        radius: uiSettings.tmf
        color: Skin.thermoLegendBackground
        opacity: 0
    }

    Rectangle {
        id: colordBG
        color: Skin.thermoLegendBorder
        width: uiSettings.tmf
        anchors.top: parent.top
        anchors.topMargin: uiSettings.tmf

        anchors.bottom: showLabels.top
        anchors.bottomMargin: uiSettings.tmf

        anchors.left: parent.left
        anchors.leftMargin: uiSettings.tmf

        Column {
            id: colors
            spacing: uiSettings.tms
            anchors.centerIn: parent
            width: uiSettings.tmsw

            Rectangle {
                id: r1
                color: "red"
                width: parent.width
                height: uiSettings.tmbh
                Text {
                    text: qsTr("+40ºC")
                    font.family: "Ubuntu"
                    font.pointSize: uiSettings.tmfs
                    color: Skin.subgineryGrayColor
                    anchors.left: parent.right
                    anchors.leftMargin: uiSettings.tmtf
                    anchors.verticalCenter: parent.verticalCenter
                }
            }
            Rectangle {
                id: r2
                width: parent.width
                height: uiSettings.tmsh
            }
            Rectangle {
                id: r3
                width: parent.width
                height: uiSettings.tmsh
            }
            Rectangle {
                id: r4
                width: parent.width
                height: uiSettings.tmsh
            }
            Rectangle {
                id: r5
                width: parent.width
                height: uiSettings.tmbh
                Text {
                    text: qsTr("+20ºC")
                    font.family: "Ubuntu"
                    font.pointSize: uiSettings.tmfs
                    color: Skin.subgineryGrayColor
                    anchors.left: parent.right
                    anchors.leftMargin: uiSettings.tmtf
                    anchors.verticalCenter: parent.verticalCenter
                }
            }
            Rectangle {
                id: r6
                width: parent.width
                height: uiSettings.tmsh
            }
            Rectangle {
                id: r7
                width: parent.width
                height: uiSettings.tmsh
            }
            Rectangle {
                id: r8
                width: parent.width
                height: uiSettings.tmsh
            }
            Rectangle {
                id: r9
                color: "blue"
                width: parent.width
                height: uiSettings.tmbh
                Text {
                    text: qsTr("0ºC")
                    font.family: "Ubuntu"
                    font.pointSize: uiSettings.tmfs
                    color: Skin.subgineryGrayColor
                    anchors.left: parent.right
                    anchors.leftMargin: uiSettings.tmtf
                    anchors.verticalCenter: parent.verticalCenter
                }
            }

            Component.onCompleted: {
                for(var i=1; i< 8; i++)
                    getColor(colors.children[i], r1, r9)
            }
        }
    }
    Button {
        id: showLabels
        width: uiSettings.tmbw
        height: uiSettings.tmbh1
        img.source: "qrc:/Thermoregulator/TempValue.svg"
        anchors.left: parent.left
        anchors.leftMargin: uiSettings.tmf
        anchors.bottom: parent.bottom
        anchors.bottomMargin: uiSettings.tmf
        backGround.opacity: 0
        backGround.gradient: null/* Gradient {
          GradientStop {position: 0; color: "#474747"}
          GradientStop {position: 0.4228; color: "#2C2D2D"}
          GradientStop {position: 0.4865; color: "#282929"}
          GradientStop {position: 0.4964; color: "#262626"}
          GradientStop {position: 0.7983; color: "#1E1E1E"}
          GradientStop {position: 0.9254; color: "#242424"}
          GradientStop {position: 1.0; color: "#2B2B2B"}
        }*/
        active: engGroup?engGroup.showLabels:false
        onClicked: engGroup.showLabelsClicked()
    }
    function getColor(curRect, topRect, btnRect) {
        var curCnt = curRect.y + curRect.height*0.5;
        var topY = topRect.y;
        var btnY = btnRect.y + btnRect.height;
        var t = 40.0 * (curCnt - btnY)/(topY - btnY);
        var A = 0, B = 15.0, C = 20.0, D = 25.0, E = 40.0;
        //console.log(curCnt + ',' + topY + ',' + btnY + ',' + t);

        var r, g, b;

        //red, (0..1.0f)
        r = Math.max(Math.min(1.0, (t-C)/(D-C)), 0.0);

        //green, (0..1.0f)
        if((t <= A) || (t > E))
            g = 0.0;
        else
        if(t <= B)
            g = (t-A)/(B-A);
        else
        if(t <= D)
            g = 1.0;
        else
        if(t <= E)
            g = (t-E)/(D-E);
        //blue, (0..1.0f)
        b = Math.max(Math.min(1.0, (t - C)/(B-C)), 0.0);
        curRect.color = Qt.rgba(r, g, b, 1.0);
    }
}
