import QtQuick 2.4
import Trogl 1.0
Item {
    id: bar
    width: uiSettings.slbw*2 + uiSettings.sld*3
    height: _Slider.height + 2*uiSettings.sld
    property string dir: ""
    property string prefix: ""
    property ListModel mdl

    function open(mdl, mouse, nPreset) {
        focus = true
        bar.mdl = mdl
        if(mdl.count > 0)
        {
            icons.model = undefined
            var i;

            _Slider.curVal = _Slider.minVal;
            _Slider.maxVal = mdl.count - 1;
            _Slider.height = (mdl.count)*uiSettings.slbw*3/4;
            for(i=0; i<mdl.count; i++){
                if(mdl.get(i).val === nPreset)
                    _Slider.curVal = i;
            }
            _Slider.positionCount = mdl.count
            _Slider.updateThumbPos()
            icons.model = mdl

            var r = _Slider.tumb;
            x = mouse.x - _Slider.x - r.x - r.width*0.5;
            y = mouse.y - _Slider.y - r.y - r.height*0.5;
            visible = true;
        }
    }

    function move(mY) {
        _Slider.valFromY(mY - _Slider.y);
    }

    function getPreset() {
        if(_Slider.curVal < 0)
            return mdl.get(0).val;
        return mdl.get(_Slider.curVal).val;
    }
    Rectangle {
        id: _Background
        anchors.fill: parent
        color: Skin.climateSideBarPresetBackground
        radius: uiSettings.slr
    }
    SliderCtrl {
        id: _Slider
        //intMode: true

        anchors.top: parent.top
        anchors.topMargin: uiSettings.sld

        anchors.right: parent.right
        anchors.rightMargin: uiSettings.sld

        curVal: 0
        minVal: 0
        height: icons.height
    }

    ListView {
        id: icons
        width: 180;
        height: _Slider.height
        delegate: Item {
            TroglImage {
                property real cur: _Slider.curVal
                x:uiSettings.sld
                y: (_Slider.y + (_Slider.height - _Slider.tumb.height)*(1.0 - (index - _Slider.minVal)/(_Slider.maxVal - _Slider.minVal)) - parent.y).toFixed()
                width: uiSettings.slbw*3/4
                height: uiSettings.slbw*3/4
                onCurChanged: setSource()
                Component.onCompleted: setSource()
                function setSource() {
                    source = dir + "/" +name + (index == _Slider.curVal?".svg":"Off.svg")
                }
            }
        }
    }
}
