import QtQuick 2.4
import Trogl 1.0

Item {
    id: cursorTab
    anchors.fill: parent

    Row {
        id: showCursorRow
        height: showCursorImg.height
        spacing: 20
        Image {
            id: showCursorImg
            source: (Global.showCursor === CoreOptions.CURSOR_VISIBLE)?"qrc:/CheckboxOn.svg":"qrc:/CheckboxOff.svg"
        }
        Text {
            text: Langpack.barPreferencesTabCursorLabelShowCursor
            verticalAlignment: Text.AlignVCenter
            height: showCursorRow.height
            font.family: "Ubuntu"
            font.bold: true
            font.pointSize: uiSettings.btm
            color: Skin.preferencesBarTabName
        }
    }
    MouseArea {
        anchors.fill: showCursorRow
        onClicked: {
            switch(Global.showCursor)
            {
                case CoreOptions.CURSOR_UNDEFINED:console.log("undefined cursor state");break;
                case CoreOptions.CURSOR_HIDDEN:Global.showCursor = CoreOptions.CURSOR_VISIBLE;break;
                case CoreOptions.CURSOR_VISIBLE:Global.showCursor = CoreOptions.CURSOR_HIDDEN;break;
            }
        }
    }

}

