import QtQuick 2.0
import QtQuick.Window 2.2
import QtGraphicalEffects 1.0

Item {
    property alias op1: r1.opacity
    property alias op2: r2.opacity
    property color sideColor: "#ff86ac"
    property real bgWidth: height*4/3
    property real rWidth: uiSettings.sf
    width: _row.width
    Row {
        id: _row
        spacing: 0
        height: parent.height
        Rectangle {
            id: r1
            width: rWidth
            height: parent.height
            color: sideColor
        }

        ShaderEffect {
            width: bgWidth
            height: parent.height
            blending: true
            property real wndWidth: Screen.width
            property color bgColor: Skin.centerExpandBarWorkspace
                  vertexShader: "
                      uniform highp mat4 qt_Matrix;
                      attribute highp vec4 qt_Vertex;
                      varying highp vec4 pos;
                      varying highp vec4 vert;
                      void main() {
                          gl_Position = qt_Matrix * qt_Vertex;
                          vert = qt_Vertex;
                          pos = gl_Position;
                      }"
                  fragmentShader: "
                      varying highp vec4 pos;
                      uniform highp float wndWidth;
                      uniform highp vec4 bgColor;
                      varying highp vec4 vert;
                      void main() {
                          lowp float scrX = (pos.x+1.0)/2.0*wndWidth;

                          lowp float alpha = float(scrX < 200.0)*(scrX - 100.0)/100.0 +
                                        float(scrX > wndWidth - 200.0)*(wndWidth - 100.0 - scrX)/100.0 +
                                        float((scrX >= 200.0) && (scrX <= wndWidth - 200.0));

                          gl_FragColor = bgColor*alpha;
                      }"
              }

        Rectangle {
            id: r2
            width: rWidth
            height: parent.height
            color: sideColor
        }
    }
}
