import QtQuick 2.4
import Trogl 1.0

Item {
    id: sipTab
    anchors.fill: parent

    StringIdListModel {
        id: panels
        objectName: "panels"
    }

    Component.onCompleted: panels.fill()

    ListView
    {
        id: panelsList
        anchors.centerIn: parent
        width: parent.width
        height: parent.height
        model: panels.list
        delegate: Item{
            clip: true
            height: uiSettings.b
            width: panelsList.width
            Rectangle {
                visible: (id === panels.selectedId)
                color: Skin.preferencesBarSelectedTabName
                anchors.fill: parent
            }
            Text {
                text: label
                anchors.left: parent.left
                anchors.leftMargin: uiSettings.md/2
                anchors.verticalCenter: parent.verticalCenter
                font.family: "Ubuntu"
                font.bold: true
                font.pointSize: uiSettings.btm
                color: Skin.preferencesBarTabName
            }
            MouseArea {
                anchors.fill: parent
                onClicked: {panels.selectedId = id;/*close();*/}
            }
        }

    }
}

