import QtQuick 2.4
import Trogl 1.0
Item {
    id: bar
    width: uiSettings.slw
    height: uiSettings.slh
    property int minTmp: 5
    property int maxTmp: 35
    property real step: 0.5
    property alias curVal: _Slider.curVal

    Rectangle {
        id: background
        color: Skin.climateSideBarPresetBackground
        anchors.fill: parent
        radius: uiSettings.slr

    }
    Text {
        id: text1
        color: "#FFFFFF"
        text: _Slider.curVal.toPrecision(3).toString()
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.top: parent.top
        anchors.topMargin: uiSettings.sld
        font.pointSize: uiSettings.btb
        font.family: "Ubuntu"
        font.bold: true
    }
    SliderCtrl {
        id: _Slider
        tumb.radius: uiSettings.slri

        anchors.top: text1.bottom
        anchors.bottom: parent.bottom
        anchors.left: parent.left
        anchors.right: parent.right

        anchors.margins: uiSettings.sld
    }

    function enable(mx, val) {
        _Slider.minVal = minTmp;
        _Slider.maxVal = maxTmp;
        _Slider.positionCount = (maxTmp-minTmp)/step + 1
        _Slider.curVal = val;
        var r = _Slider.tumb;
        x = mx.x - width/2;
        y = mx.y - (_Slider.y + r.y + r.height / 2);
        visible = true;
    }

    function move(mY) {
        _Slider.valFromY(mY - _Slider.y);
    }
}
