import QtQuick 2.0
import "../TroglControls"
import "../"
//import QtQuick.Dialogs 1.2

Column {
    property Component keyBoardCompo: Qt.createComponent("qrc:/TCloudKeyboard.qml")
    property TCloudKeyboard keyBoard: null

    spacing: 10
    Text {
     color: Skin.preferencesBarSectionDivider
     font.family: "Ubuntu"
     font.pointSize: uiSettings.btm
     text: Langpack.barPreferencesTabProjectLabelCloud
    }
    Rectangle {
        id: pathInput
        width: parent.width
        height: uiSettings.b
        color: "#00000000"
        border.color: Skin.preferencesBarSectionDivider
        border.width: uiSettings.sf/4
        clip: true
        TextInput {
            id: cloudId
            anchors.centerIn: parent
            text: Global.projectCloud()
            inputMask: "0000-0000-0000"
            color: Skin.preferencesBarTabName
            font.family: "Ubuntu"
            font.pointSize: uiSettings.btm
        }

        MouseArea {
            anchors.fill: pathInput
            onClicked: {
                if(keyBoard == null)
                {
                    keyBoard = keyBoardCompo.createObject(dynBarsContainer)
                    keyBoard.done.connect(kbDone)
                    keyBoard.closed.connect(kbClosed)
                }

                keyBoard.setCloudId(cloudId.text)
                keyBoard.open()

            }
        }
    }

    function kbDone() {
        if(keyBoard)
        {
            cloudId.text = keyBoard.tId()
            keyBoard.close()
        }
    }
    function kbClosed() {
        if(keyBoard)
            keyBoard.destroy()
    }

    function saveSettings() {
        Global.setProjectCloud(cloudId.text.replace('-', '').replace('-', ''));
    }
}

