import QtQuick 2.4
import Trogl 1.0

Button {
    id: button
    active: control?(control.active || control.highlight):false
    img.source: control?control.logo:""
    property bool highlight: control?control.highlight:false
    property var control: null
    borderHighLight: Skin.ch
    backGround.opacity: 0
    borderNormal: "#00000000"

    img.anchors.margins: uiSettings.br
    clip: true

    width: ui.c*2+ui.i
    height: width
    radius: width/10.0

    Text {
        text: control?control.label:"";
        anchors.bottom: parent.bottom
        anchors.bottomMargin: uiSettings.br/2
        anchors.horizontalCenter: parent.horizontalCenter
        color: Skin.statusButtonText
        font.family: "Ubuntu"
        font.pointSize: uiSettings.btb/3// 10;//uiSettings.mft
    }

    onClicked: {
        if(control)
            control.clicked();
    }
    onLpressed: {
        if(control)
            control.holdandpressed();
    }
    onPressed: {
        if(control)
            control.pressed(mx, my);
    }
    onReleased: {
        if(control)
            control.released(mx, my);
    }
    onMoved: {
        if(control)
            control.moved(mx,my);
    }

    onHighlightChanged: {
        if(highlight === true)
            ani.start()
        else
            ani.stop();
    }

    ColorAnimation on  border.color{
        id: ani
        from: "#8080FF"; to: "#FFFFFF"; duration: 400
        loops: Animation.Infinite
        running: false
    }
}
