import QtQuick 2.4
Item {
    anchors.fill: parent
    ListView {
        id: langs
        spacing: 20
        model: ListModel {

            ListElement {
                langId: "ar"
                langCap: "Arabic (العربية)"
            }
            ListElement {
                langId: "zh"
                langCap: "Chinese (中文, 汉语, 漢語)"
            }
            ListElement {
                langId: "en"
                langCap: "English"
            }
            ListElement {
                langId: "fa"
                langCap: "Persian (فارسی)"
            }
            ListElement {
                langId: "ru"
                langCap: "Russian (Русский)"
            }
        }

        width: parent.width
        height: (uiSettings.b + spacing)*model.count
        interactive: false
        highlight: Rectangle {
            color: Skin.preferencesBarSelectedTabName
            height: uiSettings.b
            width: parent.width
        }

        delegate: Item {
            clip: true
            height: uiSettings.b
            width: parent.width

            Text {
                text: langCap
                anchors.left: parent.left
                anchors.leftMargin: uiSettings.md/2
                anchors.verticalCenter: parent.verticalCenter
                font.family: "Ubuntu"
                font.bold: true
                font.pointSize: uiSettings.btm
                color: Skin.preferencesBarTabName
            }
        }

        MouseArea {
            anchors.fill: parent
            onClicked: {
                var ind = parent.indexAt(mouseX, mouseY)
                if(ind >=0)
                {
                    parent.currentIndex = ind
                    Global.language = langs.model.get(ind).langId
                }
            }
        }
        Component.onCompleted: {
            for(var ind=0; ind<model.count; ind++)
                if(langs.model.get(ind).langId === Global.language)
                {
                    currentIndex = ind;
                    break;
                }
        }

    }
    Row {
        id: showKeys
        visible: Global.devMode
        anchors.bottom: parent.bottom
        height: showKeysImg.height
        spacing: 20
        Image {
            id: showKeysImg
            source: Global.showKeys?"qrc:/CheckboxOn.svg":"qrc:/CheckboxOff.svg"
        }
        Text {
            text: Langpack.barPreferencesTabLanguageLabelShowKeys
            verticalAlignment: Text.AlignVCenter
            height: showKeysImg.height
            font.family: "Ubuntu"
            font.bold: true
            font.pointSize: uiSettings.btm
            color: Skin.preferencesBarTabName
        }
    }
    MouseArea {
        anchors.fill: showKeys
        visible: showKeys.visible
        onClicked: {Global.showKeys = !Global.showKeys}
    }

}
