import QtQuick 2.4
import Trogl 1.0

ListView
{
    clip: true
    model: ListModel {}

    highlight: Rectangle {
        color: Skin.preferencesBarSelectedTabName
        height: uiSettings.b
        width: parent.width
    }
    delegate: Item{
        clip: true
        height: uiSettings.b
        width: parent.width
        Text {
            text: skinName
            anchors.left: parent.left
            anchors.leftMargin: uiSettings.md/2
            anchors.verticalCenter: parent.verticalCenter
            font.family: "Ubuntu"
            font.bold: true
            font.pointSize: uiSettings.btm
            color: Skin.preferencesBarTabName
        }
    }
    MouseArea {
        anchors.fill: parent
        onClicked: {
            var ind = parent.indexAt(mouseX, mouseY)
            if(ind !== -1)
            {
                parent.currentIndex = parent.indexAt(mouseX, mouseY)
                Global.skin = model.get(currentIndex).path
            }
        }
    }
    Component.onCompleted: {
        if(Global.oem === 2)
            model.append({'skinName': "Awada", 'path': "qrc:/Skins/AwadaData.qml"})
        else
        if(Global.oem === 1)
        {
            model.append({'skinName': Langpack.applicationSkinDefault.toString(), 'path': "qrc:/Skins/DefaultData.qml"})
            model.append({'skinName': Langpack.applicationSkinLight.toString(), 'path': "qrc:/Skins/LightData.qml"})
            model.append({'skinName': Langpack.applicationSkinWhite.toString(), 'path': "qrc:/Skins/WhiteData.qml"})
        }
        else
        {
            model.append({'skinName': Langpack.applicationSkinDefault.toString(), 'path': "qrc:/Skins/DefaultData.qml"})
            model.append({'skinName': Langpack.applicationSkinLight.toString(), 'path': "qrc:/Skins/LightData.qml"})
            model.append({'skinName': Langpack.applicationSkinWhite.toString(), 'path': "qrc:/Skins/WhiteData.qml"})
            model.append({'skinName': "Awada", 'path': "qrc:/Skins/AwadaData.qml"})
        }
        for(var i=0; i< model.count; i++)
            if(model.get(i).path === Global.skin)
                currentIndex = i

    }
}

